## AnjutaDock AnjutaDock |

## Functions

GtkWidget * | anjuta_dock_new ()
gboolean | anjuta_dock_add_pane ()
gboolean | anjuta_dock_add_pane_full ()
void | anjuta_dock_replace_command_pane ()
void | anjuta_dock_remove_pane ()
void | anjuta_dock_show_pane ()
void | anjuta_dock_hide_pane ()
void | anjuta_dock_present_pane ()
void | anjuta_dock_set_command_bar ()
AnjutaCommandBar * | anjuta_dock_get_command_bar ()

## Types and Values

| AnjutaDockPriv

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GdlDockObject
                        ╰── GdlDock
                            ╰── AnjutaDock

## Description

## Functions

### anjuta_dock_new ()

    GtkWidget *
    anjuta_dock_new (void);

Creates a new AnjutaDock.

#### Returns

### anjuta_dock_add_pane ()

    gboolean
    anjuta_dock_add_pane (AnjutaDock *self,
                          const gchar *pane_name,
                          const gchar *pane_label,
                          const gchar *stock_icon,
                          AnjutaDockPane *pane,
                          GdlDockPlacement placement,
                          AnjutaCommandBarEntry *entries,
                          int num_entries,
                          gpointer user_data);

Adds a pane, with optional AnjutaCommandBar entries, to an AnjutaDock. This method adds a pane with no grip that cannot be closed, floating or iconified.

#### Parameters

self | An AnjutaDock |
pane_name | A unique name for this pane |
pane_label | Label to display in this pane's grip |
stock_icon | Stock icon to display in this pane's grip |
pane | The AnjutaDockPane to add to the dock. The dock takes ownership of the pane object. |
placement | A GdlDockPlacement value indicating where the pane should be placed |
entries | AnjutaCommandBar entries for this pane. Can be `NULL`. | [allow-none][array length=num_entries]
num_entries | The number of entries pointed to by entries, or 0. |
user_data | User data to pass to the entry callback |

#### Returns

`TRUE` if the pane was added, or `FALSE` if a pane with the same name already exists in the dock

### anjuta_dock_add_pane_full ()

    gboolean
    anjuta_dock_add_pane_full (AnjutaDock *self,
                               const gchar *pane_name,
                               const gchar *pane_label,
                               const gchar *stock_icon,
                               AnjutaDockPane *pane,
                               GdlDockPlacement placement,
                               AnjutaCommandBarEntry *entries,
                               int num_entries,
                               gpointer user_data,
                               GdlDockItemBehavior behavior);

Does the same thing as anjuta_dock_add_pane, but allows GDL dock behavior flags to be specified.

#### Parameters

self | An AnjutaDock |
pane_name | A unique name for this pane |
pane_label | Label to display in this pane's grip |
stock_icon | Stock icon to display in this pane's grip |
pane | The AnjutaDockPane to add to the dock. The dock takes ownership of the pane object. |
placement | A GdlDockPlacement value indicating where the pane should be placed |
entries | AnjutaCommandBar entries for this pane. Can be `NULL`. | [allow-none][array length=num_entries]
num_entries | The number of entries pointed to by entries, or 0. |
user_data | User data to pass to the entry callback |
behavior | Any combination of GdlDockItemBehavior flags |

#### Returns

`TRUE` if the pane was added, or `FALSE` if a pane with the same name already exists in the dock

### anjuta_dock_replace_command_pane ()

    void
    anjuta_dock_replace_command_pane (AnjutaDock *self,
                                      const gchar *pane_name,
                                      const gchar *pane_label,
                                      const gchar *stock_icon,
                                      AnjutaDockPane *pane,
                                      GdlDockPlacement placement,
                                      AnjutaCommandBarEntry *entries,
                                      int num_entries,
                                      gpointer user_data);

Adds a pane, with optional AnjutaCommandBar entries, to an AnjutaDock. This method adds a pane with no grip that cannot be closed, floating or iconified. If there was an old command pane, that pane is removed in favour of the new pane.

#### Parameters

self | An AnjutaDock |
pane_name | A unique name for this pane |
pane_label | Label to display in this pane's grip |
stock_icon | Stock icon to display in this pane's grip |
pane | The AnjutaDockPane to add to the dock. The dock takes ownership of the pane object. |
placement | A GdlDockPlacement value indicating where the pane should be placed |
entries | AnjutaCommandBar entries for this pane. Can be `NULL`. | [allow-none][array length=num_entries]
num_entries | The number of entries pointed to by entries, or 0. |
user_data | User data to pass to the entry callback |

### anjuta_dock_remove_pane ()

    void
    anjuta_dock_remove_pane (AnjutaDock *self,
                             AnjutaDockPane *pane);

Removes a pane from a dock

#### Parameters

pane | Name of the pane to remove |

### anjuta_dock_show_pane ()

    void
    anjuta_dock_show_pane (AnjutaDock *self,
                           AnjutaDockPane *pane);

Makes the given pane visible

#### Parameters

self | An AnjutaDock |
pane | Name of the pane to show |

### anjuta_dock_hide_pane ()

    void
    anjuta_dock_hide_pane (AnjutaDock *self,
                           AnjutaDockPane *pane);

Makes the given pane invisible

#### Parameters

self | An AnjutaDock |
pane | Name of the pane to hide |

### anjuta_dock_present_pane ()

    void
    anjuta_dock_present_pane (AnjutaDock *self,
                              AnjutaDockPane *pane);

Presents the pane to the user by making it the currently active pane in its switcher

#### Parameters

self | An AnjutaDock |
pane | Pane to present |

### anjuta_dock_set_command_bar ()

    void
    anjuta_dock_set_command_bar (AnjutaDock *self,
                                 AnjutaCommandBar *command_bar);

Associates an AnjutaCommandBar with this dock. Command bars can be used to provide different sets of commands based on the currently visible pane.

#### Parameters

self | An AnjutaDock |
command_bar | An AnjutaCommandBar to associate with this dock |

### anjuta_dock_get_command_bar ()

    AnjutaCommandBar *
    anjuta_dock_get_command_bar (AnjutaDock *self);

#### Parameters

self | An AnjutaDock |

#### Returns

the AnjutaCommandBar associated with this dock or `NULL`.

[transfer none][allow-none]

## Types and Values

### AnjutaDockPriv

    typedef struct _AnjutaDockPriv AnjutaDockPriv;